#include "pw/ui/window.hpp"

//#include "glad/glad.h"

pw::window::window()
{
	glfwInit();

	_window = glfwCreateWindow(640, 480, "pixwerxs", nullptr, nullptr);

#if 0
	glfwMakeContextCurrent(_window);

	gladLoadGLLoader((GLADloadproc) glfwGetProcAddress);

#endif

}

pw::window::~window() {

	glfwDestroyWindow(_window);
}

bool pw::window::update()
{
	if (!glfwWindowShouldClose(_window)) {

		// do other stuff
#if 0
		glClearColor(1,0,0,1);
		glClear(GL_COLOR_BUFFER_BIT);
#endif

		glfwSwapBuffers(_window);
		glfwPollEvents();

		return true;
	}

	return false;
}

void pw::window::set_title(const char *t)
{
	glfwSetWindowTitle(_window,t);
}

void pw::window::set_size(int w,int h) {
	glfwSetWindowSize(_window,w,h);
}

std::pair<int,int> pw::window::get_size()
{
	int x,y;
	glfwGetWindowSize(_window,&x,&y);
	return std::make_pair(x,y);
}

//void pw::window::load(sol::table &ns)
//{
//


//}

